Stevan Little > Moose-1.00 > Moose::Error::Croak

Download:
Moose-1.00.tar.gz

Dependencies

Annotate this POD

CPAN RT

New  10
Open  39
Stalled  5
View/Report Bugs
Module Version: 1.00   Source   Latest Release: Moose-2.1005

NAME ^

Moose::Error::Croak - Prefer croak

SYNOPSIS ^

    # Metaclass definition must come before Moose is used.
    use metaclass (
        metaclass => 'Moose::Meta::Class',
        error_class => 'Moose::Error::Croak',
    );
    use Moose;
    # ...

DESCRIPTION ^

This error class uses "croak" in Carp to raise errors generated in your metaclass.

METHODS ^

new

Overrides "new" in Moose::Error::Default to prefer croak.

syntax highlighting: